Bug 17588 - Move GetMemberIssuesAndFines to Koha::Patron
Summary: Move GetMemberIssuesAndFines to Koha::Patron
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17578 17584 17586
Blocks: 16846
  Show dependency treegraph
 
Reported: 2016-11-08 15:55 UTC by Jonathan Druart
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines (12.33 KB, patch)
2016-11-08 16:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines (12.33 KB, patch)
2016-12-06 08:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17588: get_account_lines->get_balance has been replace with account->balance (5.42 KB, patch)
2016-12-06 08:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17588: ->get_issues has been replaced with ->checkouts (2.69 KB, patch)
2016-12-27 08:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines (12.40 KB, patch)
2017-01-10 14:57 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17588: get_account_lines->get_balance has been replace with account->balance (5.49 KB, patch)
2017-01-10 14:57 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17588: ->get_issues has been replaced with ->checkouts (2.75 KB, patch)
2017-01-10 14:57 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines (12.44 KB, patch)
2017-01-18 12:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 17588: get_account_lines->get_balance has been replace with account->balance (5.54 KB, patch)
2017-01-18 12:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 17588: ->get_issues has been replaced with ->checkouts (2.80 KB, patch)
2017-01-18 12:00 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-08 15:55:50 UTC

    
Comment 1 Jonathan Druart 2016-11-08 16:11:24 UTC
Created attachment 57339 [details] [review]
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines

The GetMemberIssuesAndFines subroutine used to retrieve the issues,
overdues and fines for a given patron. Most of the time, only 1 or 2 of
these values were used.
This patch removes this subroutine and uses the new get_issues,
get_overdues and get_balance method from Koha::Patron and Koha::Account::Lines.

Test plan:
1/ Add overdues, issues and fines to different patrons
2/ On the checkout, checkin and patron search result and the patron
detail pages, these 3 informations, if displayed before this patch, must be
correctly displayed.
3/ Use the batch patron deletion tool and make sure that patrons with a
balance > 0 are not deleted
Comment 2 Jonathan Druart 2016-12-06 08:24:08 UTC
Created attachment 57992 [details] [review]
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines

The GetMemberIssuesAndFines subroutine used to retrieve the issues,
overdues and fines for a given patron. Most of the time, only 1 or 2 of
these values were used.
This patch removes this subroutine and uses the new get_issues,
get_overdues and get_balance method from Koha::Patron and Koha::Account::Lines.

Test plan:
1/ Add overdues, issues and fines to different patrons
2/ On the checkout, checkin and patron search result and the patron
detail pages, these 3 informations, if displayed before this patch, must be
correctly displayed.
3/ Use the batch patron deletion tool and make sure that patrons with a
balance > 0 are not deleted
Comment 3 Jonathan Druart 2016-12-06 08:24:13 UTC
Created attachment 57993 [details] [review]
Bug 17588: get_account_lines->get_balance has been replace with account->balance

On previous bugs
Comment 4 Jonathan Druart 2016-12-27 08:05:43 UTC
Created attachment 58430 [details] [review]
Bug 17588: ->get_issues has been replaced with ->checkouts
Comment 5 Josef Moravec 2017-01-10 14:57:38 UTC
Created attachment 58759 [details] [review]
[SIGNED-OFF] Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines

The GetMemberIssuesAndFines subroutine used to retrieve the issues,
overdues and fines for a given patron. Most of the time, only 1 or 2 of
these values were used.
This patch removes this subroutine and uses the new get_issues,
get_overdues and get_balance method from Koha::Patron and Koha::Account::Lines.

Test plan:
1/ Add overdues, issues and fines to different patrons
2/ On the checkout, checkin and patron search result and the patron
detail pages, these 3 informations, if displayed before this patch, must be
correctly displayed.
3/ Use the batch patron deletion tool and make sure that patrons with a
balance > 0 are not deleted

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2017-01-10 14:57:49 UTC
Created attachment 58760 [details] [review]
[SIGNED-OFF] Bug 17588: get_account_lines->get_balance has been replace with account->balance

On previous bugs

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2017-01-10 14:57:57 UTC
Created attachment 58761 [details] [review]
[SIGNED-OFF] Bug 17588: ->get_issues has been replaced with ->checkouts

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Julian Maurice 2017-01-18 12:00:32 UTC
Created attachment 59154 [details] [review]
Bug 17588: Koha::Patrons - Move GetMemberIssuesAndFines

The GetMemberIssuesAndFines subroutine used to retrieve the issues,
overdues and fines for a given patron. Most of the time, only 1 or 2 of
these values were used.
This patch removes this subroutine and uses the new get_issues,
get_overdues and get_balance method from Koha::Patron and Koha::Account::Lines.

Test plan:
1/ Add overdues, issues and fines to different patrons
2/ On the checkout, checkin and patron search result and the patron
detail pages, these 3 informations, if displayed before this patch, must be
correctly displayed.
3/ Use the batch patron deletion tool and make sure that patrons with a
balance > 0 are not deleted

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 9 Julian Maurice 2017-01-18 12:00:36 UTC
Created attachment 59155 [details] [review]
Bug 17588: get_account_lines->get_balance has been replace with account->balance

On previous bugs

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 10 Julian Maurice 2017-01-18 12:00:39 UTC
Created attachment 59156 [details] [review]
Bug 17588: ->get_issues has been replaced with ->checkouts

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 11 Marcel de Rooy 2017-01-19 11:31:50 UTC
Does not apply ?
Comment 12 Julian Maurice 2017-01-19 11:35:49 UTC
Previous patches were not obsoleted. Sorry for that.
This should apply correctly now
Comment 13 Kyle M Hall 2017-01-20 14:25:24 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 14 Katrin Fischer 2017-01-22 20:33:56 UTC
This won't get ported back to 16.11.x as it is an enhancement.